安全漏洞

loophole

安全漏洞补丁公告

当前位置  >  首页  >  服务支持  >  安全漏洞  >  安全漏洞补丁公告

公告ID(KYSA-202202-0009

公告ID:KYSA-202202-0009 公告摘要:expat安全漏洞 安全等级:重要 发布日期:2022-05-10 影响CVE:CVE-2022-22823、CVE-2021-45960、CVE-2022-25235、CVE-2022-25236、CVE-2022-22825、CVE-2022-22827、CVE-2022-22826、CVE-2021-46143、CVE-2022-23990、CVE-2022-22824、CVE-2022-23852、CVE-2022-22822

详细介绍

1.修复的CVE

CVE-2022-22823

Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.3 之前的版本中存在安全漏洞,该漏洞源于 xmlparse.c 中的 build_model 有整数溢出。

CVE-2021-45960

Expat是一款使用C语言编写的快速流式XML解析器。Expat 存在安全漏洞,该漏洞源于在2.4.3之前的Expat(又名libexpat)中,xmlparse.c中的storeAtts函数左移29(或更多)位可能会导致realloc错误行为(例如,分配的字节太少,或只释放内存)。

CVE-2022-25235

Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.5 之前存在代码注入漏洞,该漏洞源于 xmltok_impl.c 缺少某些编码验证,例如检查 UTF-8 字符在特定上下文中是否有效。

CVE-2022-25236

Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.5 之前存在输入验证错误漏洞,该漏洞源于 xmlparse.c 允许攻击者将命名空间分隔符插入命名空间 URI。

CVE-2022-22825

Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.3 之前的版本中存在安全漏洞,该漏洞源于 xmlparse.c 中查找存在整数溢出。

CVE-2022-22827

Expat是一款使用C语言编写的快速流式XML解析器。libexpat是一款使用C语言编写的流式XML解析器。Expat(又名 libexpat)2.4.3 之前的版本中存在安全漏洞,该漏洞源于 xmlparse.c 中的 storeAtts 存在整数溢出。

CVE-2022-22826

Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.3 之前的版本中存在安全漏洞,该漏洞源于 xmlparse.c 中的 nextScaffoldPart 存在整数溢出。

CVE-2021-46143

Expat是一款使用C语言编写的快速流式XML解析器。Expat 存在安全漏洞,该漏洞源于在2.4.3之前Expat(又名libexpat)的xmlparse.c中的doProlog,m个groupSize存在一个整数溢出。

CVE-2022-23990

Expat是一款使用C语言编写的快速流式XML解析器。Expat 2.4.4之前版本存在安全漏洞,该漏洞源于doProlog函数中存在整数溢出。

CVE-2022-22824

Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.3 之前的版本中存在安全漏洞,该漏洞源于 xmlparse.c 中的 defineAttribute 有整数溢出。

CVE-2022-23852

libexpat是一款使用C语言编写的流式XML解析器。Libexpat 中存在输入验证错误漏洞,该漏洞源于产品的XML_GetBuffer未对有符号整数的范围做有效限制。攻击者可通过配置一个特殊的XML字节导致缓冲区溢出。以下产品及版本受到影响:Libexpat 2.4.4 之前版本。

CVE-2022-22822

Expat是一款使用C语言编写的快速流式XML解析器。Expat(又名 libexpat)2.4.3 之前的版本中存在安全漏洞,该漏洞源于 xmlparse.c 中的 addBinding 存在整数溢出。

2. 受影响的操作系统及软件包

·银河麒麟桌面操作系统V10 SP1

x86_64 架构:

expat、libexpat1

arm64 架构:

expat、libexpat1

mips64el 架构:

expat、libexpat1

loongarch64 架构:

expat、libexpat1

3. 软件包修复版本

·银河麒麟桌面操作系统V10 SP1

2.2.9-1kylin0.2

4. 修复方法

方法一:配置源进行升级安装

打开软件包源配置文件,根据仓库地址进行修改。

10.0 SP1:

http://archive.kylinos.cn/kylin/KYLIN-ALL 10.1 main restricted universe multiverse

配置完成后执行更新命令进行升级

$sudo apt update

$sudo apt install expat

方法二:下载软件包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表升级相关的组件包。

$sudo dpkg -i /Path1/Package1 /Path2/Package2 /Path3/Package3……

注:Path 指软件包下载到本地的路径,Package指下载的软件包名称,多个软件包则以空格分开。

5. 软件包下载地址

银河麒麟桌面操作系统V10 SP1

x86_64软件包下载地址

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/expat_2.2.9-1kylin0.2_amd64.deb

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/libexpat1_2.2.9-1kylin0.2_amd64.deb

arm64软件包下载地址

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/expat_2.2.9-1kylin0.2_arm64.deb

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/libexpat1_2.2.9-1kylin0.2_arm64.deb

mips64el软件包下载地址

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/expat_2.2.9-1kylin0.2_mips64el.deb

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/libexpat1_2.2.9-1kylin0.2_mips64el.deb

loongarch64软件包下载地址

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/expat_2.2.9-1kylin0.2_loongarch64.deb

http://archive.kylinos.cn/kylin/KYLIN-ALL/pool/main/e/expat/libexpat1_2.2.9-1kylin0.2_loongarch64.deb

6. 修复验证

使用软件包查询命令,查看相关的软件包版本大于或等于修复版本则成功修复。

$sudo dpkg -l |grep Package

注:Package为软件包包名。


上一篇: KYSA-202205-1020 下一篇: KYSA-202205-1021

试用

服务

动态

联系